//: C05:Exercise7.cpp {-xo}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
class Kamo {};

template<class T> class Muj {
  int i;
public:
  void hraj(Muj<Kamo>& s) {
    s.i = 3;
  }
};

int main() {
  Muj<int> h;
  Muj<Kamo> ja, kamo;
  h.hraj(kamo);
  ja.hraj(kamo);
} ///:~
